com.sun.source.doctree

## Interface ErroneousTree

- All Superinterfaces:
    DocTree, TextTree

      @Exported
      public interface ErroneousTree
      extends TextTree

  A tree node to stand in for a malformed text
  Since:
    1.8

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.sun.source.doctree.DocTree

      `DocTree.Kind`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Diagnostic<JavaFileObject>` | `getDiagnostic()` Gets a diagnostic object giving details about the reason the body text is in error.

    - ### Methods inherited from interface com.sun.source.doctree.TextTree

      `getBody`

    - ### Methods inherited from interface com.sun.source.doctree.DocTree

      `accept, getKind`

- - ### Method Detail

    - #### getDiagnostic

          Diagnostic<JavaFileObject> getDiagnostic()

      Gets a diagnostic object giving details about the reason the body text is in error.
      Returns:
        a diagnostic

Copyright © 2005, 2015, Oracle and/or its affiliates. All rights reserved.